# PGA Default Jekyll Theme

## Installation

- Installing this theme to any Jekyll project
    - Add to Gemfile: <code>gem "jekyll-theme-pga-default"</code>
    - Add to _config.yml: <code>theme: jekyll-theme-pga-default</code>

> And then execute: <code>$ bundle</code>

## Gem Publish

- After making new changes to this project:

    - Increment the gem version in `jekyll-theme-pga-default.gemspec`: <code>spec.version = "0.0.1"</code>
    - Build the gem: <code>$ gem build jekyll-theme-pga-default.gemspec</code>
    - Publish the gem: <code>$ gem push jekyll-theme-pga-default-*.gem</code>

## Features

- Layouts:
    - Default
    - Post
    - Page
- Design Features:
    - Bootstrap v4.x
    - Font Awesome
- TODO:
    - Index Pagination?
    - Google Analaytics Integration?
    - Mailchimp Integration?

## Usage

<!-- TODO: Write usage instructions here. Describe your available layouts, includes, sass and/or assets. -->

YAML Post Example:
<pre>
---
layout: post
title:  "We all wait for summer"
author: john
categories: [ Jekyll, project ]
image: /assets/images/5.jpg
featured: true
---
</pre>

YAML Page Example:
<pre>
---
layout: page
title: PGA Theme for Jekyll
---
</pre>

## Development

To set up your environment to develop this theme, run `bundle install`.

Your theme is setup just like a normal Jekyll site! To test your theme, run `bundle exec jekyll serve` and open your browser at `http://localhost:4000`. This starts a Jekyll server using your theme. Add pages, documents, data, etc. like normal to test your theme's contents. As you make modifications to your theme and to your content, your site will regenerate and you should see the changes in the browser after a refresh, just like normal.

When your theme is released, only the files in `_layouts`, `_includes`, `_sass` and `assets` tracked with Git will be bundled.
To add a custom directory to your theme-gem, please edit the regexp in `jekyll-theme-pga-default.gemspec` accordingly.

## License

The theme is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

